stable

gstreamer1-plugins-bad-free-1.22.8-2.fc39 and gstreamer1-plugins-ugly-free-1.22.8-2.fc39

FEDORA-2023-d9bca05694 created by yselkowitz 7 months ago for Fedora 39
  • Enable dvbsuboverlay and siren plugins in -bad-free

  • Enable avtp, dtsdec, and flite plugins in -bad-free-extras

  • Enable asfdemux, dvdlpcmdec, dvdsub, and realmedia plugins in -ugly-free

How to install

Updates may require up to 24 hours to propagate to mirrors. If the following command doesn't work, please retry later:

sudo dnf upgrade --refresh --advisory=FEDORA-2023-d9bca05694

This update has been submitted for testing by yselkowitz.

7 months ago

This update's test gating status has been changed to 'waiting'.

7 months ago

This update's test gating status has been changed to 'passed'.

7 months ago
User Icon ngompa provided feedback 7 months ago
karma
BZ#2236889 asfdemux inclusion request - patent has expired

This update has been pushed to testing.

7 months ago
User Icon storm commented & provided feedback 7 months ago

gnome-software reject to update, conflict

Ошибка при выполнении транзакции: файл /usr/lib64/gstreamer-1.0/libgstasf.so из устанавливаемого пакета gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 конфликтует с файлом из пакета gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64 файл /usr/lib64/gstreamer-1.0/libgstdvdlpcmdec.so из устанавливаемого пакета gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 конфликтует с файлом из пакета gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64 файл /usr/lib64/gstreamer-1.0/libgstdvdsub.so из устанавливаемого пакета gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 конфликтует с файлом из пакета gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64 файл /usr/lib64/gstreamer-1.0/libgstrealmedia.so из устанавливаемого пакета gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 конфликтует с файлом из пакета gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64

User Icon sunwire commented & provided feedback 7 months ago
karma

gstreamer1-plugins-bad-free conflicts with gstreamer1-plugins-bad-free from rpmfusion

Error: Transaction test error: file /usr/lib64/gstreamer-1.0/libgstdvbsuboverlay.so from install of gstreamer1-plugins-bad-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-bad-freeworld-1:1.22.7-1.fc39.x86_64 file /usr/lib64/gstreamer-1.0/libgstsiren.so from install of gstreamer1-plugins-bad-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-bad-freeworld-1:1.22.7-1.fc39.x86_64 file /usr/lib64/gstreamer-1.0/libgstdtsdec.so from install of gstreamer1-plugins-bad-free-extras-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-bad-freeworld-1:1.22.7-1.fc39.x86_64 file /usr/lib64/gstreamer-1.0/libgstasf.so from install of gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64 file /usr/lib64/gstreamer-1.0/libgstdvdlpcmdec.so from install of gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64 file /usr/lib64/gstreamer-1.0/libgstdvdsub.so from install of gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64 file /usr/lib64/gstreamer-1.0/libgstrealmedia.so from install of gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64

User Icon cowboysmall commented & provided feedback 7 months ago
karma

Same(ish) issue as above:

Error: Transaction test error:
  file /usr/lib64/gstreamer-1.0/libgstasf.so from install of gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64
  file /usr/lib64/gstreamer-1.0/libgstdvdlpcmdec.so from install of gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64
  file /usr/lib64/gstreamer-1.0/libgstdvdsub.so from install of gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64
  file /usr/lib64/gstreamer-1.0/libgstrealmedia.so from install of gstreamer1-plugins-ugly-free-1.22.8-2.fc39.x86_64 conflicts with file from package gstreamer1-plugins-ugly-1:1.22.7-1.fc39.x86_64
User Icon yselkowitz commented & provided feedback 7 months ago

It is the responsibility of third-party repositories to avoid conflicts with Fedora, not vice-versa, but in this case it has already been reported to the affected repository.

User Icon steiner provided feedback 7 months ago
karma
User Icon nixuser commented & provided feedback 7 months ago

If you have multimedia set up as per guidelines on the wiki then this update fails unless you uninstall the RPM Fusion packages:

gstreamer1-plugins-bad-freeworld
gstreamer1-plugins-ugly

Presumably they may be added back later.

karma
User Icon rathann commented & provided feedback 7 months ago
karma

Compatible builds are now available from RPM Fusion.

BZ#2236889 asfdemux inclusion request - patent has expired

This update can be pushed to stable now if the maintainer wishes

7 months ago
User Icon nixuser commented & provided feedback 7 months ago
karma

The new RPM Fusion builds work, but I had to download them from their koji site to test, my repo mirrors aren't carrying them yet.

BZ#2236889 asfdemux inclusion request - patent has expired

This update has been submitted for stable by yselkowitz.

7 months ago

This update has been pushed to stable.

7 months ago
User Icon geraldosimiao commented & provided feedback 7 months ago
karma

Please login to add feedback.

Metadata
Type
enhancement
Karma
4
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
7 months ago
in testing
7 months ago
in stable
7 months ago
approved
7 months ago
BZ#2236889 asfdemux inclusion request - patent has expired
0
4

Automated Test Results